<?php

namespace Drupal\Tests\buttons_config\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Test module.
 *
 * @group multiple_select
 */
class ButtonsConfigFormTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'buttons_config',
    'node',
    'media'
  ];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'seven';

  /**
   * Test access to configurations page.
   */
  public function testAccessConfigPage() {
    $account = $this->drupalCreateUser([
      'access administration pages',
    ]);

    $this->drupalLogin($account);
    $this->drupalGet('/admin/config/content/buttons-config');
    $this->assertSession()->pageTextContains(null)->pageTextContains('Content Types');
    $this->assertSession()->pageTextContains(null)->pageTextContains('Media Types');
    $this->drupalGet('/admin/config/content/buttons-config/content-type');
    $this->assertSession()->pageTextContains(null)->pageTextContains('Change Form Button Text in Content Types Add to Default shortcuts');
    $this->drupalGet('/admin/config/content/buttons-config/media-type');
    $this->assertSession()->pageTextContains(null)->pageTextContains('Change Form Button Text in Media Types Add to Default shortcuts');
  }

}
